srf_index_hash(1)

NAME

srf_index_hash - Adds a hash-table index to an SRF file.

SYNOPSIS

srf_index_hash [-c] srf_archive

DESCRIPTION

srf_index_hash adds and index to an SRF file or replaces an existing index with a new one. In the case of concatenated SRF files only the index at the end of a file will be replaced, but internal indices will not be consulted by SRF tools.

The index is a hash table indexing the sequence names only. The name itself does not appear in the index, rather the top 7-bits of a 64-bit hash key are held in the index along with N-bits used to determine the hash bucket. This reduces the index size to around 10-15 bytes per sequence.

OPTIONS

-c  Check only. This requests that the index is not produced, but the checks performed during the creation of an index (such as looking for duplicate sequence names) are still performed.

AUTHOR

James Bonfield, Wellcome Trust Sanger Institute